// -*- tab-size:4 -*-

// View the specified file using Gnome 2 settings.

// Copyright 2005 Lugaru Software, Ltd.

// Compile with:
// cc -o eview-gnome2 eview-gnome2.c `pkg-config --cflags --libs gnome-vfs-2.0`

#include <libgnomevfs/gnome-vfs.h>
#include <stdio.h>
#include <stdlib.h>

int verbose, test;

void usage()
{
	fprintf(stderr, "usage: epsilon-viewer [-vt] filename [ key ]\n");
	fprintf(stderr, "Uses gnome settings to display the file.\n");
	fprintf(stderr, "Action is a Gnome key like open or view.\n");
	fprintf(stderr, "If omitted, use view, or if undefined, open.\n");
	fprintf(stderr, "-v\tverbose\n");
	fprintf(stderr, "-t\ttest, don't actually run the program\n");
	exit(1);
}

int main(int argc, char *argv[])
{
	char *s, *t;
	int res;

	for (argc--, argv++; argc > 0 && **argv == '-'; argc--, argv++)
		switch (*++*argv) {
			case 'v': verbose = 1; break;
			case 't': test = 1; break;
			default: usage();
		}
	if (argc < 1)
		usage();

	if (!gnome_vfs_init()) {
		fprintf(stderr, "Can't initialize Gnome VFS.\n");
		exit(1);
	}

	s = gnome_vfs_expand_initial_tilde(argv[0]);
	if (verbose)
		printf("Converted filename %s to %s\n", argv[0], s);
	t = gnome_vfs_make_uri_from_shell_arg(s);
	if (verbose)
		printf("Converted to URI %s\n", t);
	res = gnome_vfs_url_show(t);
	if (verbose)
		if (res == GNOME_VFS_OK)
			printf("Success.\n");
		else
			printf("Result code: %d\n", res);
	exit(res == GNOME_VFS_OK ? 0 : 1);
}
