# epsilon.csh
# Copyright 1999 Lugaru Software, Ltd. All Rights Reserved.
# www.lugaru.com

# This csh script modifies the shell prompt, when in an Epsilon
# process buffer, to include a special marker that mentions the 
# current directory.  This signals Epsilon that the process is 
# now waiting for input, and tells it the process's
# current directory.  It should work with tcsh.

# Format for the marker:
# \037Epsilon:cwd:xxx\037
# where xxx is the current directory, and \037's are Ctrl-_'s.

set prompt="$prompt"'\037Epsilon:cwd:%/\037'

# Now turn off editing functions in tcsh so echoing long lines
# doesn't insert junk.
unset edit

# Now ensure we're not in UTF8 mode, since user likely hasn't picked
# font that can display the chars we'll get.
setenv LANG C
