# epsilon.sh
# Copyright 1999-2020 Lugaru Software, Ltd. All Rights Reserved.
# www.lugaru.com

# This shell script modifies the shell prompt when in an Epsilon
# process buffer to include a special marker that mentions the 
# current directory.  This signals Epsilon that the process is 
# now waiting for input, and of course tells it the process's
# current directory.  It should work with bash, sh, or ksh.

# Format for the marker:
# \037Epsilon:cwd:xxx\037
# where xxx is the current directory, and \037's are Ctrl-_'s.

# Add our marker to the prompt, including the current directory.
PS1="$PS1"'Epsilon:cwd:`pwd`'

stty -echo
case "$SHELL" in
	*/zsh )
		unsetopt promptsp zle
		setopt promptsubst
esac
