/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1985, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

#define BROWSE_DEFS		0
#define BROWSE_REFS		1
#define BROWSE_FILES	2
#define BROWSE_BASES	3
#define BROWSE_DERVS	4

// mbf values
#define MBFNIL    0
#define MBFVARS   1
#define MBFFUNCS  2
#define MBFMACROS 4
#define MBFTYPES  8
#define MBFCLASS  16
#define MBFALL    127

user short browser_options = 32767;
// 1 includes line context, 2 includes references, 4 symbols it uses, 8
// symbols that use it.  These are all when the lookup occurs via a
// tagging command.  When via <Enter> or L in the #symbols# buffer, 16
// includes line context, 32 includes references, 64 symbols it uses,
// 128 symbols that use it.  256 permits adjusting the source line
// number returned by examining the source.

#define BROWSER_ENTRY "    (.+)%(([0-9]+)%): "

	// These are the routines exported from this module.
int browser_find_match(char *filename, int *linenum, int n_fwd);
int browser_query(char *bsc_filename, char *symbol, int flags);
char *browse_matcher(char *s, int flags);

#define BROWSER_BUF "#symbols#"
#define BROWSER_HIST "-symbols-history"
#define BROWSER_POS	"-symbols-positions"

#define BSC_DLL "bsc.dll" /* Compiler-specific DLL file from Microsoft. */

user char browser_filter = MBFALL;
user char browser_filter_usedby = MBFALL;
user char browser_file[FNAMELEN];
char _browse_mode_name[] = "Browse";
keytable browse_tab;
