/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*	Copyright (C) 2005, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// These specify the rules for various contexts.

// These variables aren't maked "volatile", so changing their defaults
// below and loading them into an existing instance of Epsilon by
// recompiling chelp.e won't set a new value.  Add "volatile" to their
// definitions to do this.

user char context_help_site_search[FNAMELEN]
   = "https://www.google.com/search?q=*+site:@&l=en";	// For &sitename
//   = "=https://duckduckgo.com/?q=*+site:@";
user char context_help_site_search_lucky[FNAMELEN] 
   = "https://duckduckgo.com/?q=\\*+site:@";	// For @sitename
// = "=https://www.google.com/search?q=*+site:@&l=en&btnI=I";
// Google's URL for auto-I feel lucky now goes to a Google page,
// not the first match, so use duckduckgo instead.

user char context_help_default_rule[FNAMELEN]
   = "=https://www.google.com/search?q=";
user char context_help_rule_perl[FNAMELEN] = "+context_help_perldoc";
user char context_help_rule_shell[FNAMELEN] = "+context_help_man";
user char context_help_rule_eel[FNAMELEN] = ">epsilon";
user char context_help_rule_c_windows[FNAMELEN]
   = "@docs.microsoft.com";
//   = "+context_help_windows_compilers";	// For older Visual Studio versions
user char context_help_rule_c_unix[FNAMELEN] = "+context_help_man";

user char context_help_rule_php[FNAMELEN]
   = "@www.php.net";
user char context_help_rule_java[FNAMELEN]
   = "@www.w3schools.com";
user char context_help_rule_html[FNAMELEN]
   = "@www.w3schools.com";
user char context_help_rule_jscript[FNAMELEN]
   = "@developer.mozilla.org";
user char context_help_rule_objc[FNAMELEN]
   = "@developer.apple.com";
user char context_help_rule_vbscript[FNAMELEN]
   = "@www.w3schools.com";
user char context_help_rule_xml[FNAMELEN];
user char context_help_rule_vbasic_windows[FNAMELEN]
   = "@docs.microsoft.com";
// = "+context_help_windows_compilers";	// Only for old Visual Studios.
user char context_help_rule_vbasic_unix[FNAMELEN];
user char context_help_rule_python[FNAMELEN]
   = "@docs.python.org";
user char context_help_rule_tex[FNAMELEN];
user char context_help_rule_latex[FNAMELEN]
   = "=https://www.google.com/search?q=%22hypertext+help%22+latex+*&l=en";
user char context_help_rule_gams[FNAMELEN];
user char context_help_rule_postscript[FNAMELEN];
user char context_help_rule_vhdl[FNAMELEN]
   = "@www.vhdl.renerta.com";
user char context_help_rule_tcl[FNAMELEN]
   = "=https://duckduckgo.com/?q=\\*+-%22keyword+index%22+site:tmml.sourceforge.net";
//    = "=https://www.google.com/search?q=*+-%22keyword+index%22"
// 	 "+site:tmml.sourceforge.net&l=en&btnI=I";
user char context_help_rule_asm_windows[FNAMELEN]
   = "@docs.microsoft.com";
// = "+context_help_windows_compilers";	// Only for old Visual Studios.
user char context_help_rule_asm_unix[FNAMELEN];
user char context_help_rule_nsis[FNAMELEN]
   = "@nsis.sourceforge.io";
