/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*		Copyright (C) 2003 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// Define some functions and macros that aren't built into older
// versions, so code written for version 12 or later will also run on
// old versions.

#ifndef FILETYPE_BINARY
#define	FILETYPE_BINARY		0
#endif

#ifndef MAXKEYS
#define	MAXKEYS		NUMKEYS
#endif

#if EELVERSION < 120

#define  key_t short

get_range(key_t *tab, int i, int val)
{
	int cnt = 0;

	for (; i < NUMKEYS && tab[i] == val; i++)
		cnt++;
	return cnt;
}

set_range(key_t *tab, int i, int val, int cnt)
{
	for (; i < NUMKEYS && cnt-- > 0; i++)
		tab[i] = val;
}

int find_next_entry(key_t *tab, int value, int bound)
{
	int i;

	for (i = bound + 1; i < NUMKEYS; i++)
		if (i >= 0 && tab[i] == value)
			return i;
	return -1;
}
#endif
