/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1988, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

/* subprocess variables */

keytable process_tab;
char _process_mode_name[] = "Process";

user char capture_output = 0; // should epsilon intercept output during push?
user char save_when_making = 2; // should make call save-all-buffers first?
	/* if not 0 or 1, ask when there are unsaved changes */
user char push_cmd[FNAMELEN] = "make";
user char push_cmd_unix_interactive[80] = "xterm &";
user char push_cmd_unix_macos_interactive[80]	// Not on path in OS X
   = "if command -v xterm >/dev/null; then xterm; else /opt/X11/bin/xterm; fi &";
user char concurrent_make = 1; // 2=always, 1=if concur proc, 0=never
user buffer char concurrent_compile = 3;  // like above, for compiling, if < 3
user char restart_concurrent = 1; // after stopping concur to run proc
buffer int (*pre_compile_hook)(); // mode-based adjustments
buffer int (*post_compile_hook)();
buffer int post_compile_hook_buffer;	// Buffer we were originally compiling.
user buffer int process_exit_status;
user char compile_in_separate_buffer = 1;	// Allowed to use sep buffer?
user buffer char *compile_buffer_cmd;  // compile-buffer runs this cmd
user char use_compile_command_file_variable = 2;
user char compile_eel_cmd[128] = "%Xeel \"%r\"";
									// c mode uses this for .e files
user char compile_eel_dll_flags[128] = "-n -q";	// internal compile flags
user char compile_c_cmd[128] = "cl \"%r\"";	  // set for your c compiler
user char compile_cpp_cmd[128] = "cl \"%r\""; // set for your c++ compiler
user char compile_c_cmd_unix[128] = "cc \"%r\"";  // unix-specific versions
user char compile_cpp_cmd_unix[128] = "cc \"%r\"";
user char compile_java_cmd[128] = "javac \"%r\""; // ... java compiler
user char compile_idl_cmd[128] = "midl \"%r\""; // ... midl compiler

spot error_spot = 0;		/* last error parsed in process buffer */
user char clear_process_buffer = 0x20; // does new process cmd clear proc buffer?
#define PROCBUF		"process"	/* name of the process buffer */
zeroed char _had_errors;
user char ignore_error[70]; // if error matches this pattern, we will ignore it
			// to ignore warnings, for example, set to .*warning.*

user char use_process_current_directory = 1; // share cur dir with concur?
user char process_prompt_pattern[FNAMELEN];	// Use this to extract curdir.
user char start_process_in_buffer_directory = 2; // run proc in buf's dir?
user char start_make_in_buffer_directory = 2; // run make in buf's dir?
user int process_yank_confirm = 2;		// # of lines that require confirmation
user char process_pass_drive_directories;
user int process_view_error_lines = 0;
user int process_next_error_options = 7;
user char process_completion_style = 2;	// 1=in-place, 2=exclude dotfiles, 4=show inline
user char process_completion_dircmds[FNAMELEN] = "</word>(cd|chdir|pushd) +";
user char process_completion_windows_programs[FNAMELEN] = "exe,bat,cmd,com";
user buffer char process_echo = 2;
user char process_enter_whole_line = 1;	// <Enter> sends whole line?
user char process_output_to_window_bottom = 1;	// Don't center the window.
user char process_warn_on_exit = 0;
user char process_warn_on_killing;	// 0=kill, 1=ask, then kill, 2=just complain
user short process_tab_size = 8;
user char process_coloring_rules = 127;
user buffer int process_max_size = -1;
int color_process_range(int from, int to);
buffer int (*when_activity)();		// pipe_text() calls this func.
buffer spot process_input_starts_at;
zeroed buffer short current_output_color; // class from last ANSI escape seq.

color_class process_output;
color_class process_input;
color_class process_prompt;
