/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1985, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

#define SES_HDR		"# Epsilon session"	/* at top of file */
#define SES_DELIM	"<<SES!@!END>>"		/* follows each string */
#define SES_BNAME	"--session--"	/* saved buf may not have this name */

/* Values for preserve_session: */
#define SAVE_RESTORE_SESSION	1	/* old value for compatibility */
#define SAVE_SESSION			2
#define RESTORE_SESSION			4
user char preserve_session = SAVE_SESSION | RESTORE_SESSION;
zeroed char preserve_session_once;	// Preseve_session+1, not saved in state.
zeroed char preserve_session_flags;	// Read a session: 1=at startup, 2=later.

user char session_always_restore = 1;	// restore even with cmd line files?
user char session_restore_files = 1; // 1=always, 2=only w/o cmd line files
user char session_restore_directory = 2; // 1=always, 2=only with -w1 flag
user char session_restore_max_files = 25;	// restore the last N files only.
user int session_restore_biggest_file = 20_000_000;	// don't restore bigger files
user char session_restore_max_directories = 4;	// restore the last N dired bufs only.
user char session_restore_directory_buffers = 1;
user char session_restore_exclude_file_types;
user int session_restore_biggest_remote_file;
user char session_warn_when_saving = 1;

user char session_tree_root[80] = SESSROOTDIR; // don't look in dirs outside
user char session_default_directory[80] = SESSDEFDIR;
user char session_file_name[80] = "";	// Use default name.
				// put session files here by default
char *cmd_line_session_file;	// user specified from cmd line
char *explicit_session_file;	// set by write-session or read-session
