/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*		Copyright (C) 2018 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// Definitions for spell checking.

#define SPELL_REGION_HANDLE		110

#define WORD_LIST_BUFFER	"-spell-dict-sorted"
#define WORD_FILE_NAME		"espell.srt"

#define WORD_ORDER_BUFFER	"-spell-dict-priority"
#define WORD_ORDER_FILE		"espell.lst"

#define SOUNDS_BUFFER		"-spell-dict-sounds"

#define SPELL_THIS_RUN		"-spell-this-run"

// Codes for the various files.
#define SPELLB_ORDERED		1	// List of dictionary words, more common first.
#define SPELLB_SORTED		2	// Sorted version of the same.
#define SPELLB_GLOBAL		3	// Global ignore list.
#define SPELLB_PERDIR		4	// Per-directory ignore list.
#define SPELLB_PERFILE		5	// Per-file ignore list.
#define SPELLB_PERMODE		6	// Per-mode ignore list.
#define SPELLB_PEREXTEN		7	// Per-extension ignore list.

zeroed buffer struct {		// Internal data.
	int want;				// Show spelling errors in this buffer?
	int last_want;			// See if it's changed.
	int window_start;		// Remember window boundaries.
	int window_end;
	int told_err;			// Only report errors once.
	int missing_file;		// Bits to indicate there's no file of this type.
	int skipped_word;		// We skipped highlighting current word.
	int buf_want;			// Toggle specifically for buffer.
	int display_column;		// Remember last window display column.
} vspell_data;

color_class spell_misspelled;

user int default_spell_options;
user int fundamental_spell_options;
user int c_spell_options;
user int html_spell_options;
user int xml_spell_options;
user int tex_spell_options;
user int latex_spell_options;
user int global_spell_options = 0xf;

char *get_spell_word_pattern();
char *get_spell_language_prefix();
buffer char *spell_language_prefix;	// Set to e.g. ".fr" after making word lists.

// Word pattern for restricted spell check.  A mode can define its own
// pattern.
user char default_color_spell_word_pattern[FNAMELEN]
   = "<c:*-text|*-comment|*-string><alpha>+('<alpha>+)?";;

// Word pattern for unrestricted spell check.
user char default_spell_word_pattern[FNAMELEN]
   = "<alpha>+('<alpha>+)?";;

// Word pattern for unrestricted spell check.
user char process_spell_word_pattern[FNAMELEN]
   = "<alpha>+('<alpha>+)?";;

// Run this for better suggestions.
user char spell_helper_program[FNAMELEN];

#define MICROSPELL_CMDLINE	"c:\\Program Files\\Microspell\\mspellcmd.exe"
