/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1985, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// This file loads all the other files and sets up Epsilon.

#include "eel.h"

when_loading()
{
	reg_tab[CTRL('X')] = find_index("cx-tab");
	reg_tab[CTRL('C')] = find_index("cc-tab");
	load_commands("basic");
	load_commands("control");
	load_commands("set");
	load_commands("lcustom");
	load_commands("kill");
	load_commands("window");
	load_commands("complete");
	load_commands("indent");
	load_commands("format");
	load_commands("help");
	load_commands("search");
	load_commands("prog");
	load_commands("proc");
	load_commands("files");
	load_commands("filedate");
	load_commands("buffer");
	load_commands("load");
	load_commands("debug");
	load_commands("sort");
	load_commands("disp");
	load_commands("video");
	load_commands("dired");
	load_commands("bufed");	/* bufed uses cmds from dired */
	load_commands("fillcomm");
	load_commands("prefill");
	load_commands("c");
	load_commands("undo");
	load_commands("tags");
	load_commands("compare");
	load_commands("cmdline");
	load_commands("grep");
	load_commands("bookmark");
	load_commands("zoom");
	load_commands("session");
	load_commands("mouse");
	load_commands("menu");
	load_commands("store");
	load_commands("colcode");
	load_commands("clipboar");
	load_commands("uniq");
	load_commands("html");
	load_commands("tex");
	load_commands("epsnet");
	load_commands("browse");
	load_commands("stdcolor");
	load_commands("makemode");
	load_commands("inimode");
	load_commands("gams");
	load_commands("misclang");
	load_commands("pull");
	load_commands("unicode");
	load_commands("vhdl");
	load_commands("compress");
	load_commands("nexterr");
	load_commands("compfile");
	load_commands("chelp");
	load_commands("tcl");
	load_commands("follow");
	load_commands("color");

	load_commands("diff");
	load_commands("brief");
	load_commands("displook");
	load_commands("asm");
	load_commands("info");
	load_commands("perl");
	load_commands("vbasic");
	load_commands("hex");
	load_commands("python");
	load_commands("rmode");

	load_commands("dispchar");
	load_commands("editvars");
	load_commands("vspell");

	when_restoring();
}
