/************************************************************************
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1984, 2021 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// For updating from 14 B1 or later.

#include "eel.h"

when_loading()
{
	int dorest = 0;
	if (!strcmp(eel_version, "14b1") || dorest) {
		update_autoload("find-file", "quickb2");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b2") || dorest) {
		update_autoload("find-file", "quickb3");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b3") || dorest) {
		update_autoload("find-file", "quickb4");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b4") || dorest) {
		update_autoload("find-file", "quickb5");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b5") || dorest) {
		update_autoload("find-file", "quickb6");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b6") || dorest) {
		update_autoload("find-file", "quickb7");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b7") || dorest) {
		update_autoload("find-file", "quickb8");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b8") || dorest) {
		update_autoload("find-file", "quickb9");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b9") || dorest) {
		update_autoload("find-file", "quickb10");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b10") || dorest) {
		update_autoload("find-file", "quickb11");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b11") || dorest) {
		update_autoload("find-file", "quickb12");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b12") || dorest) {
		update_autoload("find-file", "quickb13");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b13") || dorest) {
		update_autoload("find-file", "quickb14");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b14") || dorest) {
		update_autoload("find-file", "quickb15");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b15") || dorest) {
		update_autoload("find-file", "quickb16");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b16") || dorest) {
		update_autoload("find-file", "quickb17");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14b17") || dorest) {
		update_autoload("find-file", "quick00");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14.00") || dorest) {
		update_autoload("find-file", "quick01");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14.01") || dorest) {
		update_autoload("find-file", "quick02");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14.02") || dorest) {
		update_autoload("find-file", "quick03");
		dorest = 1;
	}
	if (!strcmp(eel_version, "14.03") || dorest) {
		update_autoload("find-file", "quick04");
		dorest = 1;
	}
	char def[FNAMELEN];
	strcpy(def, state_file);
	set_default_state_file_name(def);
	absolute(def);
	if (*state_file && get_file_read_only(state_file) == 1) {
		save_var bufnum = zap(HELPBUF);
		if (strcmp(eel_version, EEL_MINOR_VERSION))
			bprintf("%s is read-only.\n"
					"Therefore it cannot be updated.\n"
					"The above state file is for Epsilon version %s.\n"
					"This Epsilon executable is from Epsilon version %s.\n"
					"Perhaps EPSPATH is set incorrectly?\n",
					state_file, eel_version, EEL_MINOR_VERSION);
		else
			bprintf("%s is read-only.\n"
					"Therefore it cannot be updated.\n"
					"But this Epsilon executable is from version %s,\n"
					"and so is the above state file.\n"
					"Therefore it appears no update is needed.\n",
					state_file, eel_version);
		save_var margin_right = 55;
		mark_whole_buffer();
		fill_region();
		view_help(" Update Not Performed ", 0);
		return;
	}
	if (strcmp(state_file, def)) {
		save_var bufnum = zap(HELPBUF);
		bprintf("%s\ndoesn't seem to be in the usual place for a\n"
				"customized state file.  Normally it would be at\n%s\n\n",
				state_file, def);
		if (strcmp(eel_version, EEL_MINOR_VERSION))
			bprintf("The above state file is for Epsilon version %s.\n"
					"This Epsilon executable is from Epsilon version %s.\n"
					"Perhaps EPSPATH is set incorrectly?\n",
					eel_version, EEL_MINOR_VERSION);
		else
			bprintf("But this Epsilon executable is from version %s,\n"
					"and so is the above state file.\n"
					"Therefore it appears no update is needed.\n",
					eel_version);
		save_var margin_right = 55;
		mark_whole_buffer();
		fill_region();
		view_help(" Force Update? ", 0);
		char res[FNAMELEN];
		get_string(res, "Type \"force\" to force updating anyway: ");
		if (stricmp(res, "force"))
			return;
	}
	restore_vars();

	set_chars(eel_version, 0, sizeof(eel_version) / sizeof(char));
	strcpy(eel_version, EEL_MINOR_VERSION);
	delay(1, COND_KEY);	// Make sure the X window is up.
	refresh();
	sayput("Update complete, preparing to write state file...");
	delay(300, COND_KEY);	// Give the user a chance to abort.
	check_abort();
	if (!*state_file)
		write_state();		// Prompt for name.
	else
		do_save_state(state_file);	// Rewrite current state file.
	while (!in_macro() && unseen_msgs())
		check_abort();
	leave(42);
}
